Bug 1481845 - Delete a Template in RHEV that a Catalog uses, no indication in logs or UI when Catalog Ordered
Summary: Delete a Template in RHEV that a Catalog uses, no indication in logs or UI wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1471124
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-15 21:04 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1471124
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-15 21:11:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/172f4eb59262d84195a4dbe7f4910f41d029973a

commit 172f4eb59262d84195a4dbe7f4910f41d029973a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Aug 15 08:00:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 15 17:05:09 2017 -0400

    Merge pull request #15807 from masayag/fail_when_vm_or_template_has_no_ems
    
    Fail with descriptive message when no EMS
    (cherry picked from commit fa24dfff1fec419b88fb47c531c808aca3f35d89)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481845

 app/models/miq_provision_request.rb       | 15 +++++++++--
 spec/models/miq_provision_request_spec.rb | 45 +++++++++++++++++++------------
 2 files changed, 41 insertions(+), 19 deletions(-)

Comment 3 Ilanit Stein 2017-09-03 12:44:48 UTC
Verified on CFME-5.8.2/RHV-4.1.3

VM provision service request, in case template was removed from RHV, fail on:

"Error: Source Template/Vm with id [73] has no EMS, unable to provision"

Comment 5 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.